/* ======================================================== */
/* CSS for control sap.ui.commons/ProgressIndicator.control */
/* SAP-HCB Theme                                            */
/* ======================================================== */

.sapUiProgInd{
	display: inline-block;
	font-size: @sapUiDesktopFontSize;
}

.sapUiProgIndBorder{
	display: inline-block;
	background-color: darken(@sapUiBase, 30);
	border: 1px solid @sapUiContentForegroundBorderColor;
	border-radius: 3px;
	box-sizing: border-box;
}

.sapUiProgIndBar{
	position: relative;
	background-color: #BAD2E9;
	color: @sapUiTextInverted;
	border-radius: 3px;
	box-sizing: border-box;
	height: 14px;
	-moz-user-select: none;
	user-select: none;
}

.sapUiProgIndBarPos {
	position: relative;
	background-color: #B6E7A9;
	color: @sapUiTextInverted;
	border-radius: 3px;
	box-sizing: border-box;
	height: 14px;
	-moz-user-select: none;
	user-select: none;
}

.sapUiProgIndBarNeg {
	position: relative;
	background-color: #FF9C93;
	color: @sapUiTextInverted;
	border-radius: 3px;
	box-sizing: border-box;
	height: 14px;
	-moz-user-select: none;
	user-select: none;
}

.sapUiProgIndBarCrit {
	position: relative;
	background-color: #F9F0A7;
	color: @sapUiTextInverted;
	border-radius: 3px;
	box-sizing: border-box;
	height: 14px;
	-moz-user-select: none;
	user-select: none;
}

.sapUiProgIndFont {
	display: inline-block;
	position: absolute;
	left: 0;
	top: 0;
	height: 14px;
	padding-left: 5px;
	vertical-align: top;
	font-size: 11px;
}

.sapUiProgIndEndHidden {
	display: inline-block;
	width: 1px;
	height: 14px;
	visibility: hidden;
}

.sapUiProgIndEnd {
	display: inline-block;
	width: 1px;
	height: 14px;
	visibility: visible;
	background-color: @sapUiContentForegroundBorderColor;
}

.sapUiProgIndPosEnd {
	display: inline-block;
	width: 1px;
	height: 14px;
	visibility: visible;
	background-color: @sapUiContentForegroundBorderColor;
}

.sapUiProgIndNegEnd {
	display: inline-block;
	width: 1px;
	height: 14px;
	visibility: visible;
	background-color: @sapUiContentForegroundBorderColor;
}

.sapUiProgIndCritEnd {
	display: inline-block;
	width: 1px;
	height: 14px;
	visibility: visible;
	background-color: @sapUiContentForegroundBorderColor;
}